Bug 226302 - lang/php72: DTRACE option on PowerPC causes ld(1) link probe failures; Relocations in generic ELF
Summary: lang/php72: DTRACE option on PowerPC causes ld(1) link probe failures; Reloca...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-02 17:19 UTC by Chip Cuccio
Modified: 2018-06-11 04:34 UTC (History)
3 users (show)

See Also:
tz: maintainer-feedback+


Attachments
lang/php72 Makefile patch to exclude DTRACE option from powerpc arch. (396 bytes, patch)
2018-03-02 17:19 UTC, Chip Cuccio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chip Cuccio 2018-03-02 17:19:11 UTC
Created attachment 191139 [details]
lang/php72 Makefile patch to exclude DTRACE option from powerpc arch.

DTRACE option exclusions exist for a couple other archs exhibiting this behavior. However, PowerMC is not one of the exclusions. When selecting DTRACE, the build will fail with linking/relocation errors:


*** Warning: Linking the shared library libphp7.la against the non-libtool
*** objects  Zend/zend_dtrace.d.o is not portable!
/usr/bin/ld: BFD 2.17.50 [FreeBSD] 2007-07-03 assertion fail /usr/src/gnu/usr.bin/binutils/libbfd/../../../../contrib/binutils/bfd/elf32-ppc.c:3606
/usr/bin/ld: BFD 2.17.50 [FreeBSD] 2007-07-03 assertion fail /usr/src/gnu/usr.bin/binutils/libbfd/../../../../contrib/binutils/bfd/elf32-ppc.c:6579
gcc: Internal error: Segmentation fault (program ld)

I have attached a patch which will exclude the DTRACE option in the lang/php72/Makefile for the powerpc arch (tested locally on two powerpc's).
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-03-02 18:09:08 UTC
I have also seen this on my builds.  I already have permission from tz@ to commit for armvX and so I will roll this into my next commit.  (I still need to test on amd64 to prove "do no harm".)

tz, you can assign this one to me if you wish.
Comment 2 Torsten Zuehlsdorff freebsd_committer 2018-03-02 18:30:21 UTC
Great, thanks for taking care of it! :)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2018-06-11 04:34:19 UTC
Committed as r464849.